ランタイム: Mix::Dynamics::IObjectListener Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IObjectListener Class Referenceabstract

オブジェクトリスナーインターフェース More...

`#include <IObjectListener.h>`

Inheritance diagram for Mix::Dynamics::IObjectListener:
[legend]
Collaboration diagram for Mix::Dynamics::IObjectListener:
[legend]

## Public Member Functions

virtual void | OnAddedToWorld (Mix::Dynamics::IObject *pObject, Mix::Dynamics::IWorld *pWorld)=0
| オブジェクトがワールドに追加された際に呼び出されます More...
virtual void | OnRemovedFromWorld (Mix::Dynamics::IObject *pObject, Mix::Dynamics::IWorld *pWorld)=0
| オブジェクトがワールドから削除された際に呼び出されます More...
virtual void | OnContact (Mix::Dynamics::IObject *pObject, const Mix::Dynamics::MANIFOLD &manifold)=0
| オブジェクトが接触している際に呼び出されます More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IObjectListener (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

オブジェクトリスナーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IObjectListener::~IObjectListener | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Dynamics::IObjectListener::OnAddedToWorld | ( | Mix::Dynamics::IObject * | pObject,
|  | Mix::Dynamics::IWorld * | pWorld
| ) |  |

pure virtual

オブジェクトがワールドに追加された際に呼び出されます

Parameters

  [in] | pObject | ワールドに追加されたオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ
  [in] | pWorld | オブジェクトが追加されたワールドを表す Mix::Dynamics::IWorld インターフェースのポインタ

virtual void Mix::Dynamics::IObjectListener::OnRemovedFromWorld | ( | Mix::Dynamics::IObject * | pObject,
|  | Mix::Dynamics::IWorld * | pWorld
| ) |  |

pure virtual

オブジェクトがワールドから削除された際に呼び出されます

Parameters

  [in] | pObject | ワールドから削除されたオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ
  [in] | pWorld | オブジェクトが削除されたワールドを表す Mix::Dynamics::IWorld インターフェースのポインタ

virtual void Mix::Dynamics::IObjectListener::OnContact | ( | Mix::Dynamics::IObject * | pObject,
|  | const Mix::Dynamics::MANIFOLD & | manifold
| ) |  |

pure virtual

オブジェクトが接触している際に呼び出されます

Parameters

  [in] | pObject | このリスナーが設定されているオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ
  [in] | manifold | マニフォールドを表す Mix::Dynamics::MANIFOLD 構造体

The documentation for this class was generated from the following file:

- Mix/Dynamics/IObjectListener.h